Debian Bug report logs - #494612
python-edbus: FTBFS on debian unstable chroot on x86

version graph

Package: python-edbus; Maintainer for python-edbus is Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>; Source for python-edbus is src:python-edbus.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Sun, 10 Aug 2008 21:48:11 UTC

Severity: normal

Found in version 0.2.1-1

Fixed in version 0.3.1+svn20090511-1

Done: Albin Tonnerre <albin.tonnerre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: bugs@debian.org
Subject: python-edbus: FTBFS on debian unstable chroot on x86
Date: Mon, 11 Aug 2008 00:44:09 +0300
Package: python-edbus
Version: 0.2.1-1
Severity: normal

$ fakeroot apt-get --build source python-edbus
Reading package lists... Done
Building dependency tree
Reading state information... Done
Need to get 12.1kB of source archives.
Get:1 http://pkg-fso.alioth.debian.org unstable/main python-edbus 0.2.1-1 (dsc) [1358B]
Get:2 http://pkg-fso.alioth.debian.org unstable/main python-edbus 0.2.1-1 (tar) [8792B]
Get:3 http://pkg-fso.alioth.debian.org unstable/main python-edbus 0.2.1-1 (diff) [1937B]
Fetched 12.1kB in 0s (0B/s)
dpkg-source: extracting python-edbus in python-edbus-0.2.1
dpkg-source: info: unpacking python-edbus_0.2.1.orig.tar.gz
dpkg-source: info: applying python-edbus_0.2.1-1.diff.gz
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value:
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package python-edbus
dpkg-buildpackage: source version 0.2.1-1
dpkg-buildpackage: source changed by Jan Lübbe <jluebbe@debian.org>
dpkg-buildpackage: host architecture i386
 debian/rules clean
pyversions: missing XS-Python-Version in control file, fall back to debian/pyversions
test -x debian/rules
dh_testroot
dh_clean
cd . && python2.4 setup.py clean -a
running clean
'build/lib.linux-i686-2.4' does not exist -- can't clean it
'build/bdist.linux-i686' does not exist -- can't clean it
'build/scripts-2.4' does not exist -- can't clean it
cd . && python setup.py clean -a
running clean
'build/lib.linux-i686-2.5' does not exist -- can't clean it
'build/bdist.linux-i686' does not exist -- can't clean it
'build/scripts-2.5' does not exist -- can't clean it
rm -f python-build-stamp-*
find . -name '*.pyc' -exec rm '{}' ';'
 debian/rules build
pyversions: missing XS-Python-Version in control file, fall back to debian/pyversions
test -x debian/rules
mkdir -p "."
cd . && python2.4 setup.py build --build-base="/home/lindi/debian/debian-zhone/python-edbus-0.2.1/./build"
running build
running build_ext
building 'e_dbus' extension
creating /home/lindi/debian/debian-zhone/python-edbus-0.2.1/build
creating /home/lindi/debian/debian-zhone/python-edbus-0.2.1/build/temp.linux-i686-2.4
gcc -pthread -fno-strict-aliasing -DNDEBUG -g -O2 -Wall -Wstrict-prototypes -g -O2 -g -Wall -O2 -fPIC -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/python2.4 -c module.c -o /home/lindi/debian/debian-zhone/python-edbus-0.2.1/./build/temp.linux-i686-2.4/module.o
module.c:10:30: error: dbus/dbus-python.h: No such file or directory
module.c: In function 'dbus_ecore_native_mainloop':
module.c:38: warning: implicit declaration of function 'DBusPyNativeMainLoop_New4'
module.c:39: warning: return makes pointer from integer without a cast
module.c: In function 'dbus_ecore_main_loop':
module.c:67: error: '_dbus_bindings_module' undeclared (first use in this function)
module.c:67: error: (Each undeclared identifier is reported only once
module.c:67: error: for each function it appears in.)
module.c: In function 'inite_dbus':
module.c:113: warning: implicit declaration of function 'import_dbus_bindings'
error: command 'gcc' failed with exit status 1
make: *** [python-build-stamp-2.4] Error 1
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
Build command 'cd python-edbus-0.2.1 && dpkg-buildpackage -b -uc' failed.
E: Child process failed


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-5-686-bigmem (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #10 received at 494612@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 494612@bugs.debian.org
Cc: jluebbe@debian.org
Subject: Re: Bug#494612: python-edbus: FTBFS on debian unstable chroot on x86
Date: Mon, 11 Aug 2008 07:22:18 +0300
* Timo Juhani Lindfors <timo.lindfors@iki.fi> [2008-08-11 00:44]:
> Package: python-edbus

Let's CC the person mentioned as maintainer.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. Full text and rfc822 format available.

Acknowledgement sent to "Andreas Dalsgaard" <andreas.dalsgaard@gmail.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #15 received at 494612@bugs.debian.org (full text, mbox):

From: "Andreas Dalsgaard" <andreas.dalsgaard@gmail.com>
To: 494612@bugs.debian.org
Subject: Re: Bug#494612: python-edbus: FTBFS on debian unstable chroot on x86
Date: Thu, 14 Aug 2008 08:57:19 +0200
I think I had the same problem trying to make frameworkd run on
om2007.2. It seems like dbus/dbus-python.h is missing, in debian
unstable this file is part of the python-dbus package. Could you make
sure that it works when python-dbus is installed?




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #20 received at 494612@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: smartphones-standards@linuxtogo.org
Cc: 494612@bugs.debian.org
Subject: python-edbus is missing from amd64 builds and other 'pecularities'
Date: Fri, 15 Aug 2008 00:02:31 -0400
Dear All (and also CCing python-edbus the only bug)

1. building and installing

From
http://pkg-fso.alioth.debian.org/debian/dists/unstable/main/binary-amd64/Packages
python-edbus and zhone-illume-glue are missing (probably related to #494612 but
it is present for i386 thus I am CCing) thus can't install zhone from the
repo

although I am running now testing/sid/experimental tandem it might be that it
is the mix mix dependent: python-edbus seems to be missing build-depends
on python-ecore (or smth else or stricter versions?) since dpkg-buildpakckage
of python-edbus build fails with

cd . && python2.4 setup.py build --build-base="/tmp/python-edbus-0.2.1/./build"
Package ecore was not found in the pkg-config search path.
Perhaps you should add the directory containing `ecore.pc'
to the PKG_CONFIG_PATH environment variable
Package 'ecore', required by 'edbus', not found

ecore.pc is built as part of ecore package build process, and is shipped within
libecore-dev, which is again missing from Build-Depends.

I don't know internals but shouldn't zhone-illume-glue be Recommends:
instead of Depends?


2. running
$> zhone
Traceback (most recent call last):
  File "/usr/bin/zhone", line 1959, in <module>
    gui = GUI( options, args )
  File "/usr/bin/zhone", line 1504, in __init__
    self.groups[page] = ctor( self )
  File "/usr/bin/zhone", line 1065, in __init__
    self.set_button_text(0)
  File "/usr/bin/zhone", line 1102, in set_button_text
    self.part_text_set("label_%d_%d" % (i,j) , self.button_labels[num][j][i])
UnicodeEncodeError: 'ascii' codec can't encode character u'\u21e9' in position 0: ordinal not in range(128)

I just wonder why this could be?

since I am impatient I just wrapped few problematic lines with try: except: ;)
and it started but then I get similar issues at other places (like reading
mails), so I just overrode that damn method for now and caught any exception
and now it runs fine... smth might not been drawn but I don't even know what to
expect ;-))

here is my evil override:

    def part_text_set(self, *args, **kwargs):
        try:
                super (edje_group, self).part_text_set(*args, **kwargs)
        except:
                pass


-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. Full text and rfc822 format available.

Acknowledgement sent to Jan Luebbe <jluebbe@lasnet.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #25 received at 494612@bugs.debian.org (full text, mbox):

From: Jan Luebbe <jluebbe@lasnet.de>
To: Yaroslav Halchenko <debian@onerussian.com>, 494612@bugs.debian.org
Cc: smartphones-standards@linuxtogo.org
Subject: Re: Bug#494612: python-edbus is missing from amd64 builds and other 'pecularities'
Date: Fri, 15 Aug 2008 17:54:57 +0200
On Fri, 2008-08-15 at 00:02 -0400, Yaroslav Halchenko wrote:
> Dear All (and also CCing python-edbus the only bug)
> 
> 1. building and installing
> 
> From
> http://pkg-fso.alioth.debian.org/debian/dists/unstable/main/binary-amd64/Packages
> python-edbus and zhone-illume-glue are missing (probably related to #494612 but
> it is present for i386 thus I am CCing) thus can't install zhone from the
> repo
> 
> although I am running now testing/sid/experimental tandem it might be that it
> is the mix mix dependent: python-edbus seems to be missing build-depends
> on python-ecore (or smth else or stricter versions?) since dpkg-buildpakckage
> of python-edbus build fails with
> 
> cd . && python2.4 setup.py build --build-base="/tmp/python-edbus-0.2.1/./build"
> Package ecore was not found in the pkg-config search path.
> Perhaps you should add the directory containing `ecore.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'ecore', required by 'edbus', not found
> 
> ecore.pc is built as part of ecore package build process, and is shipped within
> libecore-dev, which is again missing from Build-Depends.

The python-edbus build-deps are incomplete, python-dbus is also missing.
The fix is blocked by that it won't build with the curreny cython. A new
efl-snapshot will fix that (which will happen after upstream's switch to
svn). So even if i upload now, the package would only build with a
downgraded cython.

> I don't know internals but shouldn't zhone-illume-glue be Recommends:
> instead of Depends?
> 
> 
> 2. running
> $> zhone
> Traceback (most recent call last):
>   File "/usr/bin/zhone", line 1959, in <module>
>     gui = GUI( options, args )
>   File "/usr/bin/zhone", line 1504, in __init__
>     self.groups[page] = ctor( self )
>   File "/usr/bin/zhone", line 1065, in __init__
>     self.set_button_text(0)
>   File "/usr/bin/zhone", line 1102, in set_button_text
>     self.part_text_set("label_%d_%d" % (i,j) , self.button_labels[num][j][i])
> UnicodeEncodeError: 'ascii' codec can't encode character u'\u21e9' in position 0: ordinal not in range(128)
> 
> I just wonder why this could be?

You are probably using an older version of of the python-edje bindings,
i've fixed a bug there. (Note that the also need to rebuilt with the
older cython :/ )






Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #30 received at 494612@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Jan Luebbe <jluebbe@lasnet.de>, 494612@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>, smartphones-standards@linuxtogo.org
Subject: Re: Bug#494612: python-edbus is missing from amd64 builds and other 'pecularities'
Date: Sun, 14 Sep 2008 10:45:22 +0300
I hope something is going to deal with this bug.


* Jan Luebbe <jluebbe@lasnet.de> [2008-08-15 17:54]:
> On Fri, 2008-08-15 at 00:02 -0400, Yaroslav Halchenko wrote:
> > Dear All (and also CCing python-edbus the only bug)
> > 
> > 1. building and installing
> > 
> > From
> > http://pkg-fso.alioth.debian.org/debian/dists/unstable/main/binary-amd64/Packages
> > python-edbus and zhone-illume-glue are missing (probably related to #494612 but
> > it is present for i386 thus I am CCing) thus can't install zhone from the
> > repo
> > 
> > although I am running now testing/sid/experimental tandem it might be that it
> > is the mix mix dependent: python-edbus seems to be missing build-depends
> > on python-ecore (or smth else or stricter versions?) since dpkg-buildpakckage
> > of python-edbus build fails with
> > 
> > cd . && python2.4 setup.py build --build-base="/tmp/python-edbus-0.2.1/./build"
> > Package ecore was not found in the pkg-config search path.
> > Perhaps you should add the directory containing `ecore.pc'
> > to the PKG_CONFIG_PATH environment variable
> > Package 'ecore', required by 'edbus', not found
> > 
> > ecore.pc is built as part of ecore package build process, and is shipped within
> > libecore-dev, which is again missing from Build-Depends.
> 
> The python-edbus build-deps are incomplete, python-dbus is also missing.
> The fix is blocked by that it won't build with the curreny cython. A new
> efl-snapshot will fix that (which will happen after upstream's switch to
> svn). So even if i upload now, the package would only build with a
> downgraded cython.
> 
> > I don't know internals but shouldn't zhone-illume-glue be Recommends:
> > instead of Depends?
> > 
> > 
> > 2. running
> > $> zhone
> > Traceback (most recent call last):
> >   File "/usr/bin/zhone", line 1959, in <module>
> >     gui = GUI( options, args )
> >   File "/usr/bin/zhone", line 1504, in __init__
> >     self.groups[page] = ctor( self )
> >   File "/usr/bin/zhone", line 1065, in __init__
> >     self.set_button_text(0)
> >   File "/usr/bin/zhone", line 1102, in set_button_text
> >     self.part_text_set("label_%d_%d" % (i,j) , self.button_labels[num][j][i])
> > UnicodeEncodeError: 'ascii' codec can't encode character u'\u21e9' in position 0: ordinal not in range(128)
> > 
> > I just wonder why this could be?
> 
> You are probably using an older version of of the python-edje bindings,
> i've fixed a bug there. (Note that the also need to rebuilt with the
> older cython :/ )
> 
> 
> 
> 
> 

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. (Sun, 15 Mar 2009 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 15 Mar 2009 21:51:02 GMT) Full text and rfc822 format available.

Message #35 received at 494612@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <494612@bugs.debian.org>
Subject: python-edbus: elderly bug -- no resolution? fails to build with the most recent eina
Date: Sun, 15 Mar 2009 17:45:29 -0400
Package: python-edbus
Version: 0.2.1-1
Followup-For: Bug #494612



I am packaging pythm for Debian... only now I realized that we depend on
python-edbus and that one is not in Debian main.  Although reported below
FBTS is more about edbus I decided to report it here for now.

python-edbus related question though is:
    I checked wnpp and see no ITP for python-edbus...
    would you mind filing it? ;)

also there is no python-edbus built for amd64 on pkg-fso repository...
ie within
http://pkg-fso.alioth.debian.org/debian/dists/sid/main/binary-amd64/Packages

would you mind building python-edbus and all prerequisits for amd64
and making them available from that repository? please please please?

as for FTBFS of edbus:
I downloaded sources from pkg-fso:

python-edbus-0.3.1+svn20081220
it needed fresh edbus (libedbus-dev (>= 0.5.0.050+svn20090130)) for some reason, so
edbus-0.5.0.050+svn20090130

it needed eina, so downloaded/built/installed
eina-0.0.1~svn20090128

built eina, then went back to edbus and it failed:

,--
|  cc -DHAVE_CONFIG_H -I. -I../../.. -I ../../../src/lib/dbus -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/eina-0 -I/usr/include/eina-0/eina -g -O2 -g -Wall -O2 -c e_hal_device.c  -fPIC -DPIC -o .libs/e_hal_device.o
| In file included from e_hal_device.c:1:
| ./E_Hal.h:86: error: expected specifier-qualifier-list before ‘Eina_Hash’
| e_hal_device.c: In function ‘unmarshal_device_get_all_properties’:
| e_hal_device.c:91: error: ‘E_Hal_Device_Get_All_Properties_Return’ has no member named ‘properties’
| e_hal_device.c:91: warning: implicit declaration of function ‘eina_hash_string_small_new’
| e_hal_device.c:145: warning: implicit declaration of function ‘eina_hash_add’
| e_hal_device.c:145: error: ‘E_Hal_Device_Get_All_Properties_Return’ has no member named ‘properties’
| e_hal_device.c: In function ‘free_device_get_all_properties’:
| e_hal_device.c:159: warning: implicit declaration of function ‘eina_hash_free’
| e_hal_device.c:159: error: ‘E_Hal_Device_Get_All_Properties_Return’ has no member named ‘properties’
| make[5]: *** [e_hal_device.lo] Error 1
| make[5]: Leaving directory `/home/yoh/deb/perspect/edbus/edbus-0.5.0.050+svn20090130/src/lib/hal'
`---

so I just went ahead and tuned up build-depends for python-edbus to be
ok with edbus edbus-0.5.0.050... then I ran into another mess with missing
libecore0 and recalling comment by Nikita that many things are still in NEW,
I just gave up ;) but thought that it might be worth mentioining this issue
somewhere...



-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (300, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-edbus depends on:
ii  libc6                        2.9-4       GNU C Library: Shared libraries
ii  libdbus-1-3                  1.2.1-5     simple interprocess messaging syst
ii  libecore0                    0.9.9.050-1 Core abstraction layer for enlight
ii  libedbus0                    0.5.0.050-1 D-Bus and HAL wrapper libraries fo
ii  python                       2.5.2-3     An interactive high-level object-o
ii  python-support               0.8.4       automated rebuilding support for P

python-edbus recommends no packages.

python-edbus suggests no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#494612; Package python-edbus. (Sat, 23 May 2009 11:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sat, 23 May 2009 11:36:04 GMT) Full text and rfc822 format available.

Message #40 received at 494612@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: 494612@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>, Yaroslav Halchenko <debian@onerussian.com>
Subject: Pending
Date: Sat, 23 May 2009 13:18:15 +0200
[Message part 1 (text/plain, inline)]
tags 494612 pending
thanks

python-edbus is currently in NEW, it should make it into the archive soon, and
works with the packages currently in experimental.
I'm sorry for the late answer, I didn't even notice there was a bug opened
against it, as the package wasn't in the archive and I can't find anything on
pkg-e-devel that relates to this.

Regards,
-- 
Albin Tonnerre
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Albin Tonnerre <albin.tonnerre@gmail.com> to control@bugs.debian.org. (Sat, 23 May 2009 11:36:09 GMT) Full text and rfc822 format available.

Reply sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
You have taken responsibility. (Mon, 01 Jun 2009 21:33:03 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Mon, 01 Jun 2009 21:33:03 GMT) Full text and rfc822 format available.

Message #47 received at 494612-done@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: 494612-done@bugs.debian.org
Subject: Fixed in experimental
Date: Mon, 1 Jun 2009 23:31:14 +0200
[Message part 1 (text/plain, inline)]
Version: 0.3.1+svn20090511-1

python-edbus just got accepted, I'm therefore closing the bug.

Regards,
-- 
Albin Tonnerre
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Jun 2009 07:27:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:23:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.